package com.unis.module.coding.dal.mysql.spxx;

import java.util.*;

import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.unis.framework.mybatis.core.mapper.BaseMapperX;
import com.unis.module.coding.dal.dataobject.spxx.SpxxDO;
import org.apache.ibatis.annotations.Mapper;
import com.unis.module.coding.controller.admin.spxx.vo.*;

/**
 * 视频信息 Mapper
 *
 * @author 超级管理员
 */
@Mapper
public interface SpxxMapper extends BaseMapperX<SpxxDO> {

    default PageResult<SpxxDO> selectPage(SpxxPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SpxxDO>()
                .eqIfPresent(SpxxDO::getZzjgdm, reqVO.getZzjgdm())
                .eqIfPresent(SpxxDO::getKqmc, reqVO.getKqmc())
                .eqIfPresent(SpxxDO::getKqdm, reqVO.getKqdm())
                .orderByDesc(SpxxDO::getId));
    }

}